curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"items": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"comments": [
{
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"hasBeenRerun": true,
"humanLabels": [
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileName": "<string>",
"browserLiveViewUrl": "<string>",
"browserRecordingUrl": "<string>",
"duration": 123,
"executionOptions": {
"sharedStorageKey": "<string>",
"softTimeoutMins": 2
},
"executionResult": {
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"reasoning": "<string>",
"result": "<unknown>"
},
"inputs": {},
"liveViewUrl": "<string>",
"metadata": {},
"parentExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingUrl": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"triggerContext": {
"runner": {
"email": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true
},
"source": "api",
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}
],
"page": 123,
"pageSize": 123,
"total": 123
}List executions
List executions with filtering and pagination
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"items": [
{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"comments": [
{
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"hasBeenRerun": true,
"humanLabels": [
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileName": "<string>",
"browserLiveViewUrl": "<string>",
"browserRecordingUrl": "<string>",
"duration": 123,
"executionOptions": {
"sharedStorageKey": "<string>",
"softTimeoutMins": 2
},
"executionResult": {
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"reasoning": "<string>",
"result": "<unknown>"
},
"inputs": {},
"liveViewUrl": "<string>",
"metadata": {},
"parentExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingUrl": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"triggerContext": {
"runner": {
"email": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true
},
"source": "api",
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}
],
"page": 123,
"pageSize": 123,
"total": 123
}Authorizations
Query Parameters
Optional organization ID filter (required for customer queries)
Search by execution ID (partial, case-insensitive match)
Filter by agent ID
Filter by execution status (can specify multiple, there is an 'OR' condition applied to these)
starting, running, paused, awaiting_confirmation, completed, cancelled, failed, paused_by_agent Filter executions created after this timestamp
Filter executions created before this timestamp
Filter by human labels (can specify multiple label IDs, there is an 'OR' condition applied to these)
Filter by execution result outcome (partial, case-insensitive match)
Filter by metadata key - must be used together with metadataValue
Filter by metadata value - must be used together with metadataKey
Filter by input variable key - must be used together with inputsValue
Filter by input variable value (partial, case-insensitive match) - must be used together with inputsKey
Filter by workflow version number
Fields that can be used for sorting executions
created_at, status asc, desc 
